Bug 1283152 - Monitor not recognised
Monitor not recognised
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 06:51 EST by Fiable.biz
Modified: 2016-12-20 11:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:03:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl -e _COMM=gdm-x-session (121.44 KB, text/plain)
2015-11-18 06:51 EST, Fiable.biz
no flags Details

  None (edit)
Description Fiable.biz 2015-11-18 06:51:47 EST
Created attachment 1095983 [details]
journalctl -e _COMM=gdm-x-session

Description of problem:
Hello. I use Fedora 23 Workstation Gnome on a 64 bits PC, with a monitor Dell E2214HB, whose optimal resolution is 1920 x 1080 at 60 Hz:
http://www.dell.com/us/p/dell-e2214h/pd

My monitor seems not to be recognised and is treated as if it had a resolution of 1024 × 768.

Version-Release number of selected component (if applicable):


How reproducible: always, it seems: I already had the same problem with Fedora 22.

Steps to Reproduce:
1. Install Fedora 23 Workstation from scratch, from a DVD, on a PC with my monitor Dell E2214HB.
2. During the installation, choose Gnome and your configuration (I hope this has no in influence on the monitor: languages, user, time zone etc.)
3. Reboot

Actual results:
Images are distorted and a screenshot produces an image of 1024x768.

Expected results:
A resolution of 1920 x 1080

Additional info:
xrandr
Screen 0: minimum 8 x 8, current 1024 x 768, maximum 32767 x 32767
DP1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
VGA1 connected primary 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768      60.00* 
   800x600       60.32    56.25  
   848x480       60.00  
   640x480       59.94  
VIRTUAL1 disconnected (normal left inverted right x axis y axis)


Launching
journalctl -e _COMM=gdm-x-session produces the file I'm enclosing.
Note the following lines:
(II) LoadModule: "vesa"
(WW) Falling back to old probe method for vesa
"Default Screen Section" for depth/fbbpp 24/32
(II) intel(0): Output VGA1 has no monitor section
(II) intel(0): Enabled output VGA1
(II) intel(0): Output HDMI1 has no monitor section
(II) intel(0): Enabled output HDMI1
(II) intel(0): Output DP1 has no monitor section
(II) intel(0): Enabled output DP1
(--) intel(0): Using a maximum size of 256x256 for hardware cursors
(II) intel(0): Output VIRTUAL1 has no monitor section
(II) intel(0): Enabled output VIRTUAL1
(--) intel(0): Output VGA1 using initial mode 1024x768 on pipe 0
(II) UnloadModule: "vesa"
(II) Unloading vesa
(==) Depth 24 pixmap format is 32 bpp
(II) intel(0): switch to mode 1024x768@60.0 on VGA1 using pipe 0, position (0, 0), rotation normal, reflection none
(II) intel(0): Setting screen physical size to 270 x 203
Comment 1 Fiable.biz 2015-12-03 00:23:51 EST
Graphics: "Intel® Ivybridge Desktop".
Comment 2 Fedora End Of Life 2016-11-24 08:32:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 11:03:11 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.